For the complete documentation index, see llms.txt. This page is also available as Markdown.

Lender's Vault Exposure

Arkis provides APIs for lenders to monitor current positions across vaults and markets, as well as the risk exposure of their investments based on asset and venue distribution.

The API allows lenders to analyze how capital is allocated across different protocols, assets, and networks, helping them better understand portfolio exposure and diversification.

The endpoint below provides asset exposure relative to the leveraged asset. It supports flexible grouping of allocation using the group_by parameter, allowing results to be aggregated by protocols, assets, networks, or a combination of these dimensions.

Depending on the selected grouping, some assets may not fall into a specific category. Such allocations are returned in a separate others section.

The OpenAPI specification below describes the endpoints that are available for use with an API key. This page includes step-by-step instructions on how to create and revoke an API key.

The Arkis Public API is available at the following URL: https://api.arkis.xyz. The API key must be included in the Authorization header in the format: Bearer api_key.

Get a list of all vaults whitelisted for you organization

get

Get a list of basic information about all vaults whitelisted for your organization.

Authorizations
AuthorizationstringRequired

Bearer token authentication. Example: "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Responses
200

OK

application/json
gethttps://api.arkis.xyz/e/v1/vaults
GET https://api.arkis.xyz/e/v1/vaults HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "result": [
    {
      "address": "0x0514A0f7d44906A.....2283f67FcE7c066bA4c5",
      "apy": "2.10",
      "total_assets": {
        "amount": "1000",
        "symbol": "USDC"
      },
      "curator": "Arkis",
      "id": 12,
      "title": "Arkis USDC Vault",
      "underlying_asset": "USDC"
    }
  ]
}

Get detailed information about the specific vault

get

Get detailed information about a specific vault. Optional group_by query parameters can be used to modify how allocation data is grouped.

Authorizations
AuthorizationstringRequired

Bearer token authentication. Example: "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Path parameters
vault_idstringRequired

Vault ID

Query parameters
Responses
200

OK

application/json
gethttps://api.arkis.xyz/e/v1/vaults/{vault_id}
GET https://api.arkis.xyz/e/v1/vaults/{vault_id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "result": {
    "address": "0x0514A0f7d44906A23.....83f67FcE7c066bA4c5",
    "apy": "2.10",
    "underlying_asset": {
      "symbol": "USDC",
      "price_usdc": "1.001"
    },
    "total_assets": {
      "symbol": "USDC",
      "amount": "1000"
    },
    "curator": "Arkis",
    "title": "Arkis USDC Vault",
    "agreements": [
      {
        "id": "259",
        "address": "0xf050A4b168FedFA678.....ccde17da4aeBb5220",
        "apy": "1.00",
        "underlying_asset": {
          "symbol": "USDC",
          "price_usdc": "1.001"
        }
      },
      {
        "id": "260",
        "address": "0x694ecd8A2ee4fD.....9A18578Ef5EE04a25060b",
        "apy": "1.00",
        "underlying_asset": {
          "symbol": "USDC",
          "price_usdc": "1.001"
        }
      }
    ],
    "exposure": [
      {
        "amount": "0.00010085",
        "type": "spot",
        "oracle_price": "67881.332239999995822497",
        "price_usdc": "67882.123579999995822497",
        "symbol": "WBTC"
      },
      {
        "amount": "200",
        "type": "spot",
        "oracle_price": "1.000123375644",
        "price_usdc": "1.000773721866666752",
        "symbol": "USDT"
      },
      {
        "amount": "500",
        "type": "spot",
        "oracle_price": "1",
        "price_usdc": "1",
        "symbol": "USDC"
      },
      {
        "amount": "100",
        "type": "spot",
        "oracle_price": "1.00212332",
        "price_usdc": "1.001148055",
        "symbol": "USDe"
      }
    ],
    "groups": [
      {
        "network": "ethereum",
        "protocol": "pendle",
        "positions": [
          {
            "amount": "200",
            "type": "spot",
            "oracle_price": "1.000123375644",
            "price_usdc": "1.000237322399999872",
            "symbol": "USDT"
          },
          {
            "amount": "500",
            "type": "spot",
            "oracle_price": "1",
            "price_usdc": "1",
            "symbol": "USDC"
          },
          {
            "amount": "100",
            "type": "spot",
            "oracle_price": "1.00212332",
            "price_usdc": "1.001148055",
            "symbol": "USDe"
          }
        ]
      },
      {
        "network": "bybit",
        "protocol": "N/A",
        "positions": [
          {
            "amount": "0.00010085",
            "type": "spot",
            "oracle_price": "67881.332239999995822497",
            "price_usdc": "67882.123579999995822497",
            "symbol": "WBTC"
          }
        ]
      }
    ]
  }
}

Last updated